PHP is a server-side scripting language, used for building browser-based applications. This includes websites as well as programs that don't really need any form of interaction with the user.

learn more… | top users | synonyms (2)

0
votes
1answer
44 views

“E: There are problems and -y was used without --force-yes” when installing php

I'm trying to install php through the following: sudo apt-get install -y php7.0 libapache2-mod-php7.0 php7.0 php7.0-common php7.0-gd php7.0-mysql php7.0-mcrypt php7.0-curl php7.0-intl php7.0-xsl php7....
0
votes
1answer
21 views

Postfix keeping email in queue for indefinite time. Sending from sendmail its working. Any idea?

I have set up postfix on my ubuntu. I have configured it properly so when ever I send email through Command Line or from "Read User Mail" section of Webmin its working. But when I try sending php code ...
0
votes
1answer
54 views

How to correct the command for PHP 7.0.* in following PHP cli and git installation?

I'm using Ubuntu Linux 14.04 LTS 64-bit OS on my machine. I just updated all the softwares and packages installed on my system by running following commands from the terminal : sudo apt-get update ...
0
votes
0answers
27 views

PHP on the browser just asks to open or download [duplicate]

I got a Php file and i am trying to open it with Firefox, but that does not happen what info should i provide? what i see is that it wants to download the file and not see it. I have Apache 2 and Php ...
0
votes
1answer
137 views

php extension fileinfo install in Ubuntu(15.10)

I have tried to install php fileinfo extension in Ubuntu(15.10) and getting errors: sudo pecl install fileinfo Error: WARNING: "pear/Fileinfo" is deprecated in favor of "channel://php-src/ext/...
1
vote
0answers
98 views

PHP7 on ubuntu 12.04

I would like to upgrade our production php version to new php7. Unfortunately we are currently running on ubuntu 12.04. I have already tried to install php7 on corresponding virtual machine using ppa:...
0
votes
1answer
10 views

cannot define phpversion

I installed LAMP on my Ubuntu 14.04. Then , I want to upgrade my php version. I checked my PHP version : php -v PHP 7.0.5-3+donate.sury.org~trusty+1 (cli) ( NTS ) Copyright (c) 1997-2016 The PHP ...
0
votes
0answers
7 views

Error getting json.php

everyone..im new in oracle.. i had create calendar and dtabse using phpmyadmin.. Then i want to put calendar in iis manager.. Now i need to change from phpmyadmin to oracle. I get "error getting json:...
0
votes
1answer
53 views

xmlrpc.php not found or unable to stat [Ubuntu 14.04 Server]

I just setup a new Ubuntu server with a LAMP stack. I'm using it only for some React.JS development, and has no domain name associated to it. I'm finding that my error log is riddled with this error: ...
0
votes
1answer
51 views

Newbie: Slow Apache2 Response Time

As the title says I'm a newbie with this stuff but I'm willing to learn what I need to know. I'm simply ignorant atm. This is a Rackspace server with Ubuntu 15.10 running Apache2. I have a PHP web ...
0
votes
1answer
40 views

Would install LAMP conflict with python?

I am currently using ubuntu 14.04. I have PyCharm installed and using django-oscar with mysql. I am wondering what I would install in order to get php working? I am used to windows installing wamp to ...
0
votes
0answers
10 views

How to run php file from /home/projectFolder/ in ubantu mate [duplicate]

I want to keep my php files in the folder in my home directory... How to do that
1
vote
1answer
68 views

wget to get a file generated by a php script

I am trying to get a file generated by the php script export.php. But using this command, I am either getting 403 Request Forbidden or downloading the script itself instead of a .csv the script is ...
0
votes
0answers
28 views

Trouble using pimcore on LEMP stack

I was able to install pimcore on a LEMP server with php5.6 and ubuntu 15.10 wily. The php packages installed according to the official system requirements on the pimcore website. After installing ...
0
votes
0answers
19 views

Phalcon Installation Error - Ubuntu

I tried installing Phalcon in Ubuntu 12.04 with php 5.5. I have followed the same steps as in http://www.sitepoint.com/quick-tip-4-steps-install-custom-php-extensions-zend-server-7/. But after ...
0
votes
0answers
37 views

PHP Errors in mail

I've been getting these error messages sent to me a lot lately, pretty sure it's causing me a problem. From root@kallarserver Fri Apr 15 13:39:01 2016 Return-path: <root@kallarserver> Envelope-...
0
votes
0answers
18 views

Script to grab file which is downloaded automatically when site is visited

I need a script that would enable me to grab the file that is automatically downloaded when a particular site is visited. I have a PHP script that downloads a file once the link is entered. I need a ...
2
votes
1answer
138 views

phpinfo shows old mysql version after mysql upgrade (Ubuntu 14.04)

I've upgraded MySql Server from version 5.5 to 5.7 on my Ubuntu 14.04 64bit version and everything is working fine, BUT: phpinfo() shows old mysql version 5.5.47, but "mysql --version" is showing ...
1
vote
0answers
124 views

PHP not loading ssh2 extension after successful installation

I was getting this error, when running my PHP script to download files using SFTP: PHP Fatal error: Call to undefined function ssh2_connect() I installed the ssh2 PECL extension by running the ...
7
votes
2answers
18k views

Can't install php5 on Ubuntu 16.04

so I've recently installed my first Ubuntu, to be precise, a daily build of 16.04, on my new laptop since the hardware was to new for 15.10. Now I'm in the process of setting it up and I want to ...
0
votes
1answer
118 views

How to configure setting of phppgadmin with xampp and postgresql 9.5?

I'm using Ubuntu 14.04, Xampp 5.6 and PostgreSQL-9.5 I have already uncommented these lines: extension=php_pdo_pgsql.dll extension=php_pdo_sqlite.dll extension=php_pgsql.dll but still I this ...
30
votes
1answer
28k views

Installing PHP 5.6 on Xenial (16.04)

I need to use php5 (5.6) because I'm working on a Drupal 7 project which doesn't support php7. The problem is I recently updated to ubuntu 16.04 Xenial which seems to no longer support php5. I tried ...
0
votes
0answers
43 views

HowTo : IPXE with APACHE and DNSMasq - Chainload Ubuntu

The goal: PXEBoot to IPXE menu and select Ubuntu Desktop and load LiveDesktop This is just for the sake of a complete tutorial, I will want more OS's but I figured Id start with Ubuntu Desktop. My ...
0
votes
1answer
31 views

Collect responses from HTML form [closed]

I'm using Ubuntu 14.04 I want to host a website on the computer that I have. I installed LAMP, which seems to be working (I can access the website through my outside IP) The website includes an HTML ...
0
votes
0answers
73 views

Incomplete installation. Baïkal dependencies have not been installed

I have tried to install Baikal in my Ubuntu 15.10 to be able to sync my android phone and my Thunderbird Calendar but it is not working. After I finish the process of installation I get an error ...
9
votes
8answers
12k views

phpmyadmin not working due to missing extensions

I am about to use phpmyadmin on Ubuntu 16.04. But it shows that the page is not working. the error log says error 500 PHP Fatal error: require_once(): Failed opening required '/usr/share/php/php-...
0
votes
0answers
23 views

Sending an email with PHP

I'm having a lot of trouble setting up a mail service on Ubuntu 14.04 I've tried sendmail, but despite following literally 15 different guides on how to set it up, it doesn't work (from the command ...
0
votes
0answers
42 views

Froxlor shows me the script instead of the homepage (Ubuntu 14.04 Minimal)

I have installed Froxlor. Before this I have installed the apache2 server, a mysql-server, php5 and then Froxlor, when I will connect to xx.xxx.xxx.xxx/froxlor/ I get this: http://prntscr.com/aouey5 ...
0
votes
0answers
35 views

How to access website from d drive in ubuntu with apache

I have a PHP website which I want to keep in D Drive which is shared between Windows and Ubuntu. I am trying to access that directory using apache from ubuntu. It's always throws error: [pid 2207] (...
1
vote
1answer
82 views

Installing obsolete libapache-mod-php4

I have Ubuntu 15 LTS. Unfortunately, I need to install libapache2-mod-php4 to support old client website. I've managed to install php4 manually, from sources, but I can't find a way to install that ...
0
votes
1answer
50 views

why PHP 403 forbidden after fresh installation on ubuntu 15.10?

After I installed apache2 and ran it, the default HTML page of apache2 works fine. Then I installed PHP 5.6 and restarted apache2 and created PHP file in /var/www/html called info.php and put <?php ...
0
votes
0answers
191 views

PHP Warning:fread(): SSL: Connection reset by peer in /var/www/html/wp-includes/class-wp-http-streams.php line 269

I have a WP website on an Amazon AWS Ubuntu server and the website keeps crashing, I think it happens when having a lot of traffic. This is the error I get as an output: ` [Mon Apr 04 00:13:56....
0
votes
0answers
35 views

SOAP API End point http://url//index.php/api/v2_soap/index/ HTTP 500

Soap API Endpoint is giving me HTTP 500 saying website cannot be displayed using the url. http://url/index.php/api/vw2_soap/index/ After apt-get install php-soap, I've tried to visit the http://url/...
1
vote
2answers
431 views

Error: The new file /usr/lib/php/7.0/php.ini-production.cli does not exist!

After updating my system I received this error: Setting up php7.0-cli (7.0.5-1+deb.sury.org~trusty+1) ... Error: The new file /usr/lib/php/7.0/php.ini-production.cli does not exist! No apport report ...
1
vote
1answer
186 views

Unable to run PHP 7 in browser

I have successfully installed PHP 7 using this link. When I run following command in terminal php -v it successfully show that PHP 7 version detail. But when I run a test.php file (made in web ...
0
votes
0answers
89 views

Ubuntu 12.04 LTS : Unable to install php 5.6

I am trying to install php 5.6 on ubuntu 12.04 LTS. I am following the following steps : sudo add-apt-repository ppa:ondrej/php5 sudo apt-get update sudo apt-get install python-software-properties ...
0
votes
0answers
22 views

Class 'Phpdocx\Converters\COM' not found

I am using Ubuntu 14.04 LTS. I was installing phpdocx to convert docx to pdf, all was going well. I was able generate docx and pdf too but unfortunately got stuck in generating using ...
0
votes
0answers
59 views

Moving project over from XAMPP (windows) to LAMP (linux)

I have a project that I was building in xampp in windows environment which was working fine. However I am switching to using ubuntu now so have copied the files for this project over to LAMP in my ...
0
votes
1answer
48 views

Setting up multiple websites on a Linux server

I currently have an Ubuntu server, on which I have set up a little website for an old project, it's written in HTML/CSS/JS, and now I'm working on a new web app written in PHP and MySQL. I would ...
0
votes
1answer
47 views

How to setup Ampache

How exactly do you configure Ampache to run on a clean Apache install? I am trying to manually configure this because sudo apt-get install ampache fails to do so properly.
0
votes
0answers
139 views

Apache 2 Error “Apache is running a threaded MPM, but your PHP Module is not compiled to be threadsafe. You need to recompile PHP.”

I read in different places here around that MPM Worker is better performant than Prefork so I tried to change my MPM Prefork to MPM Worker following this answer and I got this error during sudo ...
0
votes
1answer
49 views

www-data running command not working

I'm using nginx with php , and I would like to run some command with exec() http://php.net/manual/fr/function.exec.php . the current example work perfectly echo exec('whoami'); but when I try with ...
0
votes
0answers
26 views

Avoid Chrome to check for internet connection (PHP/Chrome/ubuntu 14.04)

I have a slideshow that cache all files in the browser. If i unplug the internet cable, it will run the slideshow from cache. And it will detect internet if I plug the internet cable back in. But, if ...
0
votes
1answer
82 views

Why apache is unable to write with permission set as 2775?

I have installed LAMP as: sudo apt-get update sudo apt-get upgrade sudo apt-get install lamp-server^ If I understand correctly, apache server will be running with sudo privileges? If yes, for a ...
0
votes
0answers
34 views

Can't get Postfix to send emails

I am new to being a system administrator and this is my first VPS I am setting up. I'm not new, so I do manage to have everything except emails working. I have installed postfix and mail-utils and ...
-2
votes
1answer
241 views

Why the PHPMyAdmin stopped working after I upgrade PHP to version 7.0.4 on my machine running on 64-bit Ubuntu 14.04 LTS?

I'm using a machine that runs on 64-bit Ubuntu 14.04 LTS. Today, I upgraded from PHP 5.5.32 to PHP 7.0.4. After I made an upgrade my Apahce HTTP Server and PHPMyAdmin stopped working. I made ...
1
vote
1answer
3k views

404 Not Found - can't access login page after upgrade to ownCloud 9

I have tried both the package manager upgrade and a manual upgrade to move to the latest ownCloud version (9). Both methods end up with the same result; the page http://localhost/owncloud no longer ...
2
votes
1answer
120 views

How to rebuild/reconfigure the HTTP Apache server after upgrading to PHP 7.0.* on 64-bit Ubuntu 14.04 LTS?

Previously I was using PHP 5.5.32 on my system, everything was working fine. All the PHP programs and projects were running successfully. Today, I upgraded to PHP 7.0.4 and the trouble starts for me. ...
0
votes
0answers
25 views

How to upgrade “PHP” to “Current Stable Version” i.e. “PHP 7.0.4” on a machine running on 64-bit Ubuntu 14.04 LTS? [duplicate]

I'm a PHP developer by profession. My organisation has given me a machine that runs on 64-bit Ubuntu Linux 14.04 LTS. I went to terminal by pressing ctrl+t and typed in there php -v. It gave me ...
0
votes
1answer
550 views

How to make apache2 serve php-based projects with php7 on Ubuntu 16.04?

Ubuntu 16.04 adds libapache2-mod-php7.0 which messes up the apache2 configuration for serving php-based projects (I'm formulating this so vaguely because I'd like to avoid dealing with source code for ...